Skip to content
Login Sign up

Bing SERP API parameters

GET https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=<query>
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be bing
qstringyesSearch query
locationstringnoFree-form location (e.g. "London, England")
ccISO codenoCountry/region filter
setLanglocalenoUI language (e.g. en-US, de-DE)
devicedesktop | mobilenoSimulated device (default desktop)
firstintegernoResult offset for pagination
countintegernoResults per page (default 10)
safe_searchOff | Moderate | StrictnoSafeSearch level

Localized German-language search:

Terminal window
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=haus+kaufen&cc=DE&setLang=de-DE"

Mobile SERP pagination (next 10 results):

Terminal window
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=best+laptops&device=mobile&first=11"